const require_const = require("./const.js");
const require_const$1 = require("./payo/const.js");
const require_const$2 = require("./tyro/const.js");
const require_const$3 = require("./windcave/const.js");
const require_const$4 = require("./linkly/const.js");
const require_const$5 = require("./mx51/const.js");
const require_const$6 = require("./huifu/const.js");
const require_const$7 = require("./adyenPos/const.js");
const require_const$8 = require("./adyenScan/const.js");
require("./helper.js");
require("./payo/index.js");
require("./windcave/windcave.js");
require("./tyro/index.js");
require("./linkly/index.js");
require("./mx51/index.js");
require("./huifu/index.js");
require("./adyenPos/index.js");
require("./adyenScan/index.js");
//#region src/components/eftposPay/manufacturer.tsx
const getInitState = (type, params) => {
	console.log("type = ", type);
	switch (type) {
		case require_const.EftposEnum.Payo: return require_const$1.default(params);
		case require_const.EftposEnum.Windcave: return require_const$3.default(params);
		case require_const.EftposEnum.Tyro: return require_const$2.default(params);
		case require_const.EftposEnum.Linkly: return require_const$4.default(params);
		case require_const.EftposEnum.MX51: return require_const$5.default(params);
		case require_const.EftposEnum.Huifu: return require_const$6.default(params);
		case require_const.EftposEnum.AdyenPos: return require_const$7.default(params);
		case require_const.EftposEnum.AdyenAlipay:
		case require_const.EftposEnum.AdyenWechat: return require_const$8.default(params, type);
		default: throw new Error("未知的厂商类型");
	}
};
//#endregion
exports.getInitState = getInitState;
